Subject: bug#44058: Crashing maybe due to NS internal borders (c4c5db3de70b55f8bc03c9fee35e29d60f41f16e)

From: Andrea Corallo <[email-masked]>
Date: Fri, 23 Oct 2020 20:58:25 +0000

Alan Third <[email-masked]> writes:

> On Thu, Oct 22, 2020 at 10:05:06AM +0300, Andrii Kolomoiets wrote:
>> Dale Sedivec <[email-masked]> writes:
>> 
>> > Hi, I'm seeing something similar, and indeed I'm seeing it on master
>> > (and also native-comp, but this message is about master).  We have
>> > clear_garbaged_frames in common on our stack, at least.
>> 
>> You may be interested in the small patch by Alan from Bug#43973:
>> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=43973#11
>> 
>> Emacs was crashing for me also with the clear_garbaged_frames on the
>> stack.  Since the patch was applied, Emacs does not crash.
>
> Hmm, I got so caught up in the other bug that I forgot about that one.
> I'll push the fix to master now.

Hi Vincent,

FYI I've merged master into feature/native-comp so the fix (87239f0a5c)
is in.

Thanks to Alan for the fix.

  Andrea